%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-seq
Version:        0.3.1
Release:        %mkrel 1
Summary:        Compatibility package for OCaml's standard iterator type
Group:          Development/OCaml
License:        LGPLv2+ with exceptions

URL:            https://github.com/c-cube/seq
Source0:        %{url}/archive/v%{version}/seq-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 1.1.0


%description
Compatibility package for OCaml's standard iterator type starting from 4.07.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n seq-%{version}


%build
%dune_build


%install
%dune_install


%files -f .ofiles
%doc README.md
%license LICENSE


%files devel -f .ofiles-devel
%license LICENSE


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.3.1-1.mga10
+ Revision: 2193576
- new version: 0.3.1
+ neoclust <neoclust>
- Rebuild to fix broken deps

* Thu May 19 2022 pterjan <pterjan> 0.2.2-5.mga9
+ Revision: 1859018
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.2.2-4.mga9
+ Revision: 1833105
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 0.2.2-3.mga9
+ Revision: 1750772
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.2.2-2.mga9
+ Revision: 1697316
- rebuild for ocaml-4.2-12

* Wed Mar 03 2021 tv <tv> 0.2.2-1.mga9
+ Revision: 1696628
- 0.2.2

* Sun Jan 10 2021 pterjan <pterjan> 0.1-4.mga9
+ Revision: 1670477
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.1-3.mga8
+ Revision: 1551368
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.1-2.mga8
+ Revision: 1544471
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.1-1.mga8
+ Revision: 1483047
- imported package ocaml-seq


* Sun Jan 26 2020 Thierry Vignaud <tv@mageia.org> 0.1-1.mga8
- import from FC

* Sun Jan 19 2020 Richard W.M. Jones <rjones@redhat.com> - 0.1-8
- OCaml 4.10.0+beta1 rebuild.

* Thu Jan 09 2020 Richard W.M. Jones <rjones@redhat.com> - 0.1-7
- OCaml 4.09.0 for riscv64

* Fri Dec 06 2019 Richard W.M. Jones <rjones@redhat.com> - 0.1-6
- OCaml 4.09.0 (final) rebuild.

* Fri Aug 16 2019 Richard W.M. Jones <rjones@redhat.com> - 0.1-5
- OCaml 4.08.1 (final) rebuild.

* Thu Aug 01 2019 Richard W.M. Jones <rjones@redhat.com> - 0.1-4
- OCaml 4.08.1 (rc2) rebuild.

* Thu Aug  1 2019 Richard W.M. Jones <rjones@redhat.com> - 0.1-3
- Add license file from upstream.

* Thu Aug  1 2019 Richard W.M. Jones <rjones@redhat.com> - 0.1-2
- Add a link to upstream bug about the license.
- Don't install seq.ml file.
- Don't package META twice.

* Thu Aug  1 2019 Richard W.M. Jones <rjones@redhat.com> - 0.1-1
- Initial version.
